package eu.dnetlib.ariadneplus;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

/**
 * Vocabulary definitions from http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs
 *
 * @author Auto-generated by schemagen on 29 Sep 2017 15:54
 */
public class CRMpe {

	/**
	 * <p>The RDF model that holds the vocabulary terms</p>
	 */
	private static final Model M_MODEL = ModelFactory.createDefaultModel();

	/**
	 * <p>The namespace of the vocabulary as a string</p>
	 */
	public static final String NS = "http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/";

	/**
	 * <p>The URL to the online schema as a string</p>
	 */
	public static final String RDFS_URL = "http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs";

	/**
	 * <p>The namespace of the vocabulary as a string</p>
	 *
	 * @return namespace as String
	 * @see #NS
	 */
	public static String getURI() {
		return NS;
	}

	/**
	 * <p>The namespace of the vocabulary as a resource</p>
	 */
	public static final Resource NAMESPACE = M_MODEL.createResource(NS);

	public static final Property PP11_curates_volatile_digital_object =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP11_curates_volatile_digital_object");

	public static final Property PP11i_is_volatile_digital_object_curated_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP11i_is_volatile_digital_object_curated_by");

	public static final Property PP12_curates_volatile_software =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP12_curates_volatile_software");

	public static final Property PP12i_is_volatile_software_curated_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP12i_is_volatile_software_curated_by");

	public static final Property PP13_curates_volatile_dataset =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP13_curates_volatile_dataset");

	public static final Property PP13i_is_volatile_dataset_curated_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP13i_is_volatile_dataset_curated_by");

	public static final Property PP14_runs_on_request = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP14_runs_on_request");

	public static final Property PP14i_is_run_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP14i_is_run_by");

	public static final Property PP15_delivers_on_request = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP15_delivers_on_request");

	public static final Property PP15i_is_delivered_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP15i_is_delivered_by");

	public static final Property PP16_has_persistent_digital_object_part =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP16_has_persistent_digital_object_part");

	public static final Property PP16i_is_persistent_digital_object_part_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP16i_is_persistent_digital_object_part_of");

	public static final Property PP17_has_snapshot = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP17_has_snapshot");

	public static final Property PP17i_is_snapshot_of = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP17i_is_snapshot_of");

	public static final Property PP18_has_digital_object_part =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP18_has_digital_object_part");

	public static final Property PP18i_is_digital_object_part_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP18i_is_digital_object_part_of");

	public static final Property PP19_has_persistent_software_part =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP19_has_persistent_software_part");

	public static final Property PP19i_is_persistent_software_part_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP19i_is_persistent_software_part_of");

	public static final Property PP1_currently_offers = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP1_currently_offers");

	public static final Property PP1i_is_currently_offered_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP1i_is_currently_offered_by");

	public static final Property PP20_has_persistent_dataset_part =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP20_has_persistent_dataset_part");

	public static final Property PP20i_is_persistent_dataset_part_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP20i_is_persistent_dataset_part_of");

	public static final Property PP21_has_software_part = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP21_has_software_part");

	public static final Property PP21i_is_software_part_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP21i_is_software_part_of");

	public static final Property PP22_has_release = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP22_has_release");

	public static final Property PP22i_is_release_of = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP22i_is_release_of");

	public static final Property PP23_has_dataset_part = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP23_has_dataset_part");

	public static final Property PP23i_is_dataset_part_of = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP23i_is_dataset_part_of");

	public static final Property PP24_has_dataset_snapshot =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP24_has_dataset_snapshot");

	public static final Property PP24i_is_dataset_snapshot_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP24i_is_dataset_snapshot_of");

	public static final Property PP25_has_maintaining_RI = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP25_has_maintaining_RI");

	public static final Property PP25i_is_maintaining_RI_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP25i_is_maintaining_RI_of");

	public static final Property PP28_has_designated_access_point =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP28_has_designated_access_point");

	public static final Property PP28i_is_designated_access_point_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP28i_is_designated_access_point_of");

	public static final Property PP29_uses_access_protocol =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP29_uses_access_protocol");

	public static final Property PP29i_is_access_protocol_used_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP29i_is_access_protocol_used_by");

	public static final Property PP2_provided_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP2_provided_by");

	public static final Property PP2i_provides = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP2i_provides");

	public static final Property PP31_uses_curation_plan = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP31_uses_curation_plan");

	public static final Property PP31i_is_curation_plan_used_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP31i_is_curation_plan_used_by");

	public static final Property PP32_curates = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP32_curates");

	public static final Property PP32i_is_curated_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP32i_is_curated_by");

	public static final Property PP39_is_metadata_for = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP39_is_metadata_for");

	public static final Property PP39i_has_metadata = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP39i_has_metadata");

	public static final Property PP40_created_successor_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP40_created_successor_of");

	public static final Property PP40i_is_deprecated_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP40i_is_deprecated_by");

	public static final Property PP41_is_index_of = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP41_is_index_of");

	public static final Property PP41i_is_indexed_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP41i_is_indexed_by");

	public static final Property PP42_has_declarative_time =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP42_has_declarative_time");

	public static final Property PP43_supported_project_activity =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP43_supported_project_activity");

	public static final Property PP43i_is_project_activity_supported_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP43i_is_project_activity_supported_by");

	public static final Property PP44_has_maintaining_team =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP44_has_maintaining_team");

	public static final Property PP44i_is_maintaining_team_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP44i_is_maintaining_team_of");

	public static final Property PP45_has_competency = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP45_has_competency");

	public static final Property PP45i_is_competency_of = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP45i_is_competency_of");

	public static final Property PP46_brokers_access_to = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP46_brokers_access_to");

	public static final Property PP46i_has_access_brokered_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP46i_has_access_brokered_by");

	public static final Property PP47_has_protocol_type = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP47_has_protocol_type");

	public static final Property PP47i_is_protocol_type_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP47i_is_protocol_type_of");

	public static final Property PP48_uses_protocol_parameter =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP48_uses_protocol_parameter");

	public static final Property PP48i_is_protocol_parameter_of =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP48i_is_protocol_parameter_of");

	public static final Property PP49_provides_access_point =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP49_provides_access_point");

	public static final Property PP49i_is_access_point_provided_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP49i_is_access_point_provided_by");

	public static final Property PP4_hosts_object = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP4_hosts_object");

	public static final Property PP4i_is_object_hosted_by = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP4i_is_object_hosted_by");

	public static final Property PP50_accessible_at = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP50_accessible_at");

	public static final Property PP50i_provides_access_to = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP50i_provides_access_to");

	public static final Property PP6_hosts_digital_object = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP6_hosts_digital_object");

	public static final Property PP6i_is_digital_object_hosted_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP6i_is_digital_object_hosted_by");

	public static final Property PP7_hosts_software_object =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP7_hosts_software_object");

	public static final Property PP7i_is_software_object_hosted_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP7i_is_software_object_hosted_by");

	public static final Property PP8_hosts_dataset = M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP8_hosts_dataset");

	public static final Property PP8i_is_dataset_hosted_by =
			M_MODEL.createProperty("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PP8i_is_dataset_hosted_by");

	public static final Resource PE10_Digital_Curating_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE10_Digital_Curating_Service");

	public static final Resource PE11_Software_Curating_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE11_Software_Curating_Service");

	public static final Resource PE12_Data_Curating_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE12_Data_Curating_Service");

	public static final Resource PE13_Software_Computing_E_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE13_Software_Computing_E-Service");

	public static final Resource PE14_Software_Delivery_E_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE14_Software_Delivery_E-Service");

	public static final Resource PE15_Data_E_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE15_Data_E-Service");

	public static final Resource PE16_Curated_Software_E_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE16_Curated_Software_E-Service");

	public static final Resource PE17_Curated_Data_E_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE17_Curated_Data_E-Service");

	public static final Resource PE18_Dataset = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE18_Dataset");

	public static final Resource PE19_Persistent_Digital_Object =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE19_Persistent_Digital_Object");

	public static final Resource PE1_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE1_Service");

	public static final Resource PE20_Volatile_Digital_Object =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE20_Volatile_Digital_Object");

	public static final Resource PE21_Persistent_Software = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE21_Persistent_Software");

	public static final Resource PE22_Persistent_Dataset = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE22_Persistent_Dataset");

	public static final Resource PE23_Volatile_Software = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE23_Volatile_Software");

	public static final Resource PE24_Volatile_Dataset = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE24_Volatile_Dataset");

	public static final Resource PE25_RI_Consortium = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE25_RI_Consortium");

	public static final Resource PE26_RI_Project = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE26_RI_Project");

	public static final Resource PE28_Curation_Plan = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE28_Curation_Plan");

	public static final Resource PE29_Access_Point = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE29_Access_Point");

	public static final Resource PE2_Hosting_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE2_Hosting_Service");

	public static final Resource PE32_Curated_Thing = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE32_Curated_Thing");

	public static final Resource PE33_E_Access_Brokering_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE33_E-Access_Brokering_Service");

	public static final Resource PE34_Team = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE34_Team");

	public static final Resource PE35_Project = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE35_Project");

	public static final Resource PE36_Competency_Type = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE36_Competency_Type");

	public static final Resource PE37_Protocol_Type = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE37_Protocol_Type");

	public static final Resource PE38_Schema = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE38_Schema");

	public static final Resource PE3_Curating_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE3_Curating_Service");

	public static final Resource PE5_Digital_Hosting_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE5_Digital_Hosting_Service");

	public static final Resource PE6_Software_Hosting_Service =
			M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE6_Software_Hosting_Service");

	public static final Resource PE7_Data_Hosting_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE7_Data_Hosting_Service");

	public static final Resource PE8_E_Service = M_MODEL.createResource("http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/PE8_E-Service");

}

