package eu.dnetlib.data.collector.plugins.ariadneplus.ads;

import eu.dnetlib.data.collector.plugins.FileCollectorPlugin;
import eu.dnetlib.rmi.data.CollectorServiceException;
import eu.dnetlib.rmi.data.InterfaceDescriptor;


public class ADSCollectorPlugin extends FileCollectorPlugin {
	
	@Override
	public Iterable<String> collect(final InterfaceDescriptor interfaceDescriptor, final String fromDate, final String untilDate)
			throws CollectorServiceException {

		final String baseUrl = interfaceDescriptor.getBaseUrl();
		
		final String suffixToUrl = interfaceDescriptor.getParams().get("suffixToBaseUrl");
		
		return () -> {
			try {
				return new ADSIterator(super.collect(interfaceDescriptor, fromDate, untilDate).iterator(), baseUrl, suffixToUrl);
			} catch (CollectorServiceException e) {
				throw new RuntimeException(e);
			}
		} ;
	}
	
}
